summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Daniel Prosser2017-04-12 10:32:29 +0200
committer Willy Sudiarto Raharjo2017-04-13 02:23:45 +0200
commitb8adb5083b194f8eab9bb1946572b1e56bdf08be (patch)
tree697a03d915cd71905224bc74c51e855ed8cb9342
parented81676a4ba4c48c1000b590f6d24a33548c4a32 (diff)
downloadslackbuilds-b8adb5083b194f8eab9bb1946572b1e56bdf08be.tar.gz
system/sboui: Added (UI for SBo package managers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/sboui/README11
-rw-r--r--system/sboui/doinst.sh13
-rw-r--r--system/sboui/sboui.SlackBuild101
-rw-r--r--system/sboui/sboui.info10
-rw-r--r--system/sboui/slack-desc19
5 files changed, 154 insertions, 0 deletions
diff --git a/system/sboui/README b/system/sboui/README
new file mode 100644
index 0000000000..adb2c01b1f
--- /dev/null
+++ b/system/sboui/README
@@ -0,0 +1,11 @@
+sboui is an ncurses-based user interface for sbopkg, sbotools, and similar tools
+to manage packages built from SlackBuilds.org scripts. Unlike other Slackware
+system administration tools with dialog-based user interfaces, sboui is written
+in C++ utilizing low-level ncurses library calls. It features a two-pane listing
+of software groups and names, multiple filters, searching, forward and inverse
+dependency resolution, tagging multiple packages to apply batch changes,
+configurable colors, and more. In addition to supporting the well-known SBo
+package managers, it is also easy to make it work with custom tools.
+
+Note: the only required dependency is libconfig, but you also need to have an
+SBo package manager installed for it to be useful.
diff --git a/system/sboui/doinst.sh b/system/sboui/doinst.sh
new file mode 100644
index 0000000000..0423b2480c
--- /dev/null
+++ b/system/sboui/doinst.sh
@@ -0,0 +1,13 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/sboui/sboui.conf.new
diff --git a/system/sboui/sboui.SlackBuild b/system/sboui/sboui.SlackBuild
new file mode 100644
index 0000000000..e9f06bdd19
--- /dev/null
+++ b/system/sboui/sboui.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for sboui
+
+# Copyright 2017 | Daniel Prosser | Lexington Park, MD
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sboui
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mv $PKG/etc/sboui/sboui.conf $PKG/etc/sboui/sboui.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog INSTALL LICENSE README.md TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/sboui/sboui.info b/system/sboui/sboui.info
new file mode 100644
index 0000000000..271a3ff32f
--- /dev/null
+++ b/system/sboui/sboui.info
@@ -0,0 +1,10 @@
+PRGNAM="sboui"
+VERSION="0.2"
+HOMEPAGE="https://github.com/montagdude/sboui"
+DOWNLOAD="https://github.com/montagdude/sboui/archive/0.2/sboui-0.2.tar.gz"
+MD5SUM="f9969e758a1dad7110310d1eb11234cb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libconfig"
+MAINTAINER="Daniel Prosser"
+EMAIL="dpross1100@msn.com"
diff --git a/system/sboui/slack-desc b/system/sboui/slack-desc
new file mode 100644
index 0000000000..e8fcd97852
--- /dev/null
+++ b/system/sboui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sboui: sboui (ncurses-based user interface for SBo package managers)
+sboui:
+sboui: sboui is an ncurses-based user interface for sbopkg, sbotools, and
+sboui: similar tools to manage packages built from SlackBuilds.org scripts.
+sboui: It features a two-pane listing of groups and names, multiple filters,
+sboui: searching, dependency resolution, tagging, configurable colors, and
+sboui: more.
+sboui:
+sboui: homepage: https://github.com/montagdude/sboui
+sboui:
+sboui: